
services:
###> doctrine/doctrine-bundle ###
  database:
    container_name: proscreen-db
    build: ./docker/db
    environment:
      MYSQL_ROOT_PASSWORD: local-docker-mysql
      MYSQL_DATABASE: proscreen_golf
    volumes:
      - ./docker/db/dump/.:/docker-entrypoint-initdb.d
      - database_data:/var/lib/mysql
    expose:
      - "3306"
    ports:
      - "3306:3306"
###< doctrine/doctrine-bundle ###

  mailhog:
    image: mailhog/mailhog
    ports:
      - "1025:1025" # SMTP server
      - "8025:8025" # web ui

volumes:
###> doctrine/doctrine-bundle ###
  database_data:
###< doctrine/doctrine-bundle ###
